Merge chrony from Debian unstable for kinetic

Bug #1971266 reported by Bryce Harrington
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
chrony (Ubuntu)
Incomplete
Undecided
Bryce Harrington

Bug Description

Upstream: tbd
Debian: 4.2-2
Ubuntu: 4.2-2ubuntu2

Debian typically updates chrony every 1 months on average, but it was last updated 22.02 and looks overdue. Check back in on this monthly.

No release expected for chrony this cycle

### New Debian Changes ###

chrony (4.2-2) unstable; urgency=medium

  * debian/usr.sbin.chronyd:
    - Allow reading the chronyd configuration file that timemaster(8)
    generates. Thanks to Michael Lestinsky for the report! (Closes: #1004745)

 -- Vincent Blut <email address hidden> Tue, 01 Feb 2022 20:42:35 +0100

chrony (4.2-1) unstable; urgency=medium

  * Import upstream version 4.2:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/chrony.service:
    - Adopt upstream service unit hardening options.

  * debian/copyright:
    - Update copyright years.

  * debian/patches/*:
    - Drop patches applied upstream.
    - Add ensure_awk_commands_in_008-ntpera_test_return_an_integer.patch

  * debian/test/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <email address hidden> Thu, 13 Jan 2022 14:01:35 +0100

chrony (4.1-4) unstable; urgency=medium

  * debian/:
    - Remove empty preinst maintainer script.

  * debian/chrony.lintian-overrides:
    - Remove unused overrides.

  * debian/control:
    - Bump Standards-Version to 4.6.0 (no changes needed).

  * debian/patches/*:
    - Add fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch.
    (Closes: #995207)

  * debian/usr.sbin.chronyd:
    - Add 'vim:syntax=apparmor' modline.
    - Add feature ABI rule. Starting with AppArmor 3.0, policy needs to contain
    an abi rule to indicate which feature abi the policy was developed under.

 -- Vincent Blut <email address hidden> Thu, 07 Oct 2021 15:23:28 +0200

chrony (4.1-3) unstable; urgency=medium

  * Upload to unstable.

  * debian/patches/:
    - Add allow-clone3-and-pread64-in-seccomp-filter.patch.

  * debian/tests/upstream-simulation-test-suite:
    - Update clknetsim version.

 -- Vincent Blut <email address hidden> Sun, 15 Aug 2021 15:08:56 +0200

chrony (4.1-2) experimental; urgency=medium

  * Merge branch 'debian/unstable' into 'debian/latest'.

  * debian/rules:
    - Remove needless dh_auto_test override.

  [ Christian Ehrhardt ]
  * debian/tests/helper-functions:
    - Improve chronyd restart logic. While rendering the tests more readable,
    this also fixes ntp-server-and-nts-auth test on Ubuntu.

  [ Debian Janitor ]
  * debian/{control,chrony.maintscript}:
    - Remove constraints unnecessary since stretch.

 -- Vincent Blut <email address hidden> Sat, 26 Jun 2021 17:16:45 +0200

chrony (4.1-1) experimental; urgency=medium

  * Import upstream version 4.1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

  * debian/copyright:
    - Update copyright years.

  * debian/upstream/signing-key.asc:
    - Update Miroslav Lichvar's key.

  * debian/watch:
    - Add upstream version mangle to transform -pre to ~pre.

 -- Vincent Blut <email address hidden> Fri, 14 May 2021 00:25:34 +0200

chrony (4.1~pre1-1) experimental; urgency=medium

  * Import upstream version 4.1-pre1:
    - Please see /usr/share/doc/chrony/NEWS.gz for the release notes.

### Old Ubuntu Delta ###

chrony (4.2-2ubuntu2) jammy; urgency=medium

  * d/patches/add-rseq.patch: Add 'rseq' to list of acceptable syscalls to fix
    tests with glibc 2.35.

 -- Michael Hudson-Doyle <email address hidden> Tue, 08 Feb 2022 16:48:09 +1300

chrony (4.2-2ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    Remaining changes:
    - d/chrony.conf: use ubuntu ntp pool and server (LP 1744664 1754358)
    - Set -x as default if unable to set time (e.g. in containers) (LP 1589780)
      Chrony is a single service which acts as both NTP client (i.e. syncing the
      local clock) and NTP server (i.e. providing NTP services to the network),
      and that is both desired and expected in the vast majority of cases.
      But in containers syncing the local clock is usually impossible, but this
      shall not break the providing of NTP services to the network.
      To some extent this makes chrony's default config more similar to 'ntpd',
      which complained in syslog but still provided NTP server service in those
      cases.
      + debian/chrony.service: allow the service to run without CAP_SYS_TIME
      + debian/control: add new dependency libcap2-bin for capsh (usually
        installed anyway, but make them explicit to be sure).
      + debian/chrony.default: new option SYNC_IN_CONTAINER to not fall back
        (Default off) [fixed a minor typo in the comment in this update]
      + debian/chronyd-starter.sh: wrapper to handle special cases in containers
        and if CAP_SYS_TIME is missing. Effectively allows on to run NTP server
        in containers on a default installation and avoid failing to sync time
        (or if allowed to sync, avoid multiple containers to fight over it by
        accident).
      + debian/install: make chrony-starter.sh available on install.
      + debian/docs, debian/README.container: provide documentation about the
        handling of this case.
  * Dropped changes [ in 4.2-1 ]
    - Drop patches present in v4.2
      + d/p/allow-clone3-and-pread64-in-seccomp-filter.patch
      + d/p/fix-seccomp-filter-for-BINDTODEVICE-socket-option.patch
      + d/p/lp-1940252-rtc-avoid-printing-and-scanning-time_t.patch
    - d/t/upstream-simulation-test-suite: bump to the matching clknetsim

 -- Christian Ehrhardt <email address hidden> Fri, 04 Feb 2022 07:52:48 +0100

Bryce Harrington (bryce)
Changed in chrony (Ubuntu):
milestone: none → ubuntu-22.06
status: New → Incomplete
Bryce Harrington (bryce)
Changed in chrony (Ubuntu):
assignee: nobody → Bryce Harrington (bryce)
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers